Your message dated Tue, 31 Oct 2017 07:49:30 +0000
with message-id <e1e9rig-00028j...@fasolo.debian.org>
and subject line Bug#879170: fixed in swt-gtk 3.8.2-4.2
has caused the Debian Bug report #879170,
regarding libswt-webkit-gtk-3-jni: Needs libwebkitgtk-1.0-0 dep
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
879170: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=879170
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: swt-gtk
Severity: serious
Tags: sid buster
User: pkg-webkit-maintain...@lists.alioth.debian.org
Usertags: oldlibs libwebkitgtk-1.0-0 webkit1

Hi,

swt-gtk Build-Depends on libwebkitgtk-dev, which is deprecated in favor of
libwebkit2gtk-4.0-dev (provided in Debian by webkit2gtk). Please drop
this Build-Depends so that we can remove the old, unmaintained one.

Please try to do soon as we're going to try to remove the old webkitgtk soon.

I am filing this bug as "serious" since the old webkitgtk will not be
available in the next major stable release of Debian (codenamed
"buster").

The package does build successfully without the libwebkitgtk-dev
build-dependency.

It feels to me like the libswt-webkit-gtk-3-jni was already broken
since it doesn't have a dependency on any webkitgtk library (I think
the correct one would be libwebkitgtk-3.0-0 but that is still part of
the deprecated libraries which are being removed.)

If you have any question don't hesitate to ask.

On behalf of the Debian WebKit Maintainers,
Jeremy Bicha

--- End Message ---
--- Begin Message ---
Source: swt-gtk
Source-Version: 3.8.2-4.2

We believe that the bug you reported is fixed in the latest version of
swt-gtk, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 879...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adrian Bunk <b...@debian.org> (supplier of updated swt-gtk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 29 Oct 2017 08:52:32 +0200
Source: swt-gtk
Binary: libswt-gtk-3-java libswt-gtk-3-jni libswt-gnome-gtk-3-jni 
libswt-cairo-gtk-3-jni libswt-glx-gtk-3-jni libswt-webkit-gtk-3-jni
Architecture: source
Version: 3.8.2-4.2
Distribution: unstable
Urgency: medium
Maintainer: Debian Java Maintainers 
<pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Adrian Bunk <b...@debian.org>
Description:
 libswt-cairo-gtk-3-jni - Standard Widget Toolkit for GTK+ Cairo JNI library
 libswt-glx-gtk-3-jni - Standard Widget Toolkit for GTK+ GLX JNI library
 libswt-gnome-gtk-3-jni - Standard Widget Toolkit for GTK+ GNOME JNI library
 libswt-gtk-3-java - Standard Widget Toolkit for GTK+ Java library
 libswt-gtk-3-jni - Standard Widget Toolkit for GTK+ JNI library
 libswt-webkit-gtk-3-jni - Standard Widget Toolkit for GTK+ WebKit JNI library
Closes: 879170
Changes:
 swt-gtk (3.8.2-4.2) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * libswt-webkit-gtk-3-jni: Add the missing dependency
     on libwebkitgtk-1.0-0. (Closes: #879170)
Checksums-Sha1:
 bed09d4d924212b8808bcd4f1f00d7da075a29af 2665 swt-gtk_3.8.2-4.2.dsc
 8f9d5ef4e5148bc6e3f1569d0a5c8603c64fe683 263452 swt-gtk_3.8.2-4.2.debian.tar.xz
Checksums-Sha256:
 3188fffaa0ecf62c2861548e5aed2026db09b737c5f9b8093541997e1230760b 2665 
swt-gtk_3.8.2-4.2.dsc
 db2299906538b9e23dccd33350b5062528b070e26f9a1a3513d2c34c6ad2cda6 263452 
swt-gtk_3.8.2-4.2.debian.tar.xz
Files:
 74e28a66961f1fd8e7538a010b6beab9 2665 libs optional swt-gtk_3.8.2-4.2.dsc
 33e1f438e8ab6892e5ce937aa70845b3 263452 libs optional 
swt-gtk_3.8.2-4.2.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEOvp1f6xuoR0v9F3wiNJCh6LYmLEFAln1fOgACgkQiNJCh6LY
mLEjPRAAqyptC/6tSAoSVy/PTBr2f7FaFxpmoV6BH9rvUcc4kaz9p9alSlROSLB6
Q6INBIklf+uAHfU8/YDdPbD6YtZKTTQWioKf8XPSUIYNknqyrZbd1MN6/NLBNPTZ
/eQ4Rz7jLoIeiwA8DJcllG1PN826INFzktSKJ/o4pljDlxCU00WzTjofSSc8TeL6
L70k58eWrTQ2OnfU1t6Sk3SgbUwqrxSHmkRToeO3tnc7dnQHzne4CBGoaSbRGDPG
vyIw+/GPyL4TmjJW9/n9JOxkssJJtFEtHXE3l/FTe1Eun43DQmMXnJSGq6DZbYv3
c8vjsnPsbpv84OoL9Ui4Oe7ObYOkqbLlqzXGo+FrzYH+2k6tKbqJ7Gwq2VkmKo+7
RFvznGJeDIorBM6F68Un0VlxU9UTl6KJzfU2xYzI4dVnu1N3JEFHm8jo0udhdO7Q
Udfhh0sj9stBxerRigGtmmifBSUMOs/tUy0VtzZishvFKg/pc/MH3hTila1ikRBJ
WZFjJV4XYDt2P5AIQZB+m9XEKW378k9oZWuss1FJtLqDEuSwVFt6w0AL6N5tc8VN
F4PNHGWuKjJTAGKdllvfT0Qoi7dl5mvg/xNEwBt+hpuTO7j8Tv31+mpfe/vC+MBy
rVX9OgAQ2vHtewC4a2VACVbo/dyyNGiTKGPluhG8TU7L55UMwT8=
=rUGB
-----END PGP SIGNATURE-----

--- End Message ---
__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to